<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Visitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Visitor</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Visitor

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Visitor.hh.html" target="detail">../Synopsis/PTree/Visitor.hh</a></div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line23" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Visitor-inheritance" src="Visitor-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Visitor-inheritance_map" />
<map name="Visitor-inheritance_map"><area alt="Scopes/Synopsis/PTree/DotFileGenerator.html" href="DotFileGenerator.html" shape="rect" coords="5, 81, 227, 105" />
<area alt="Scopes/Synopsis/PTree/Display.html" href="Display.html" shape="rect" coords="251, 81, 413, 105" />
<area alt="Scopes/Synopsis/SymbolLookup/Walker.html" href="../SymbolLookup/Walker.html" shape="rect" coords="437, 81, 648, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" href="../TypeAnalysis/ConstEvaluator.html" shape="rect" coords="672, 81, 920, 105" />
<area alt="Scopes/Synopsis/PTree/RTTIDisplay.html" href="RTTIDisplay.html" shape="rect" coords="944, 81, 1139, 105" />
<area alt="Scopes/Synopsis/PTree/Writer.html" href="Writer.html" shape="rect" coords="1163, 81, 1320, 105" />
<area alt="Scopes/Synopsis/PTree/TypeVisitor.html" href="TypeVisitor.html" shape="rect" coords="1344, 81, 1531, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" href="../TypeAnalysis/TypeEvaluator.html" shape="rect" coords="1555, 81, 1797, 105" />
</map>
 <div class="doc"><p>The Visitor class is used to dynamically resolve
type information about a given Node.
The default implementation does nothing, so you
only need to implement the methods you actually need.
Any types for which no corresponding 'visit' methods
exist will be caught by the 'visit' of the closest parent.</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tVisitor_l_r">~Visitor</a>()  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_m_tVisitor_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNode_S_r">visit</a>(<a href="Node.html" >Node</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAtom_S_r">visit</a>(<a href="Atom.html" >Atom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lList_S_r">visit</a>(<a href="List.html" >List</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lList_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLiteral_S_r">visit</a>(<a href="Literal.html" >Literal</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lLiteral_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCommentedAtom_S_r">visit</a>(<a href="CommentedAtom.html" >CommentedAtom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lCommentedAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDupAtom_S_r">visit</a>(<a href="DupAtom.html" >DupAtom</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lDupAtom_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lIdentifier_S_r">visit</a>(<a href="Identifier.html" >Identifier</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lIdentifier_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKeyword_S_r">visit</a>(<a href="Keyword.html" >Keyword</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lKeyword_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mAuto_S_r">visit</a>(<a href="Kwd.html#Auto" >Kwd::Auto</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mBreak_S_r">visit</a>(<a href="Kwd.html#Break" >Kwd::Break</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line37" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mBool_S_r">visit</a>(<a href="Kwd.html#Bool" >Kwd::Bool</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mCase_S_r">visit</a>(<a href="Kwd.html#Case" >Kwd::Case</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mCatch_S_r">visit</a>(<a href="Kwd.html#Catch" >Kwd::Catch</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mChar_S_r">visit</a>(<a href="Kwd.html#Char" >Kwd::Char</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line41" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mClass_S_r">visit</a>(<a href="Kwd.html#Class" >Kwd::Class</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mContinue_S_r">visit</a>(<a href="Kwd.html#Continue" >Kwd::Continue</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line43" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mConst_S_r">visit</a>(<a href="Kwd.html#Const" >Kwd::Const</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mDefault_S_r">visit</a>(<a href="Kwd.html#Default" >Kwd::Default</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line45" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mDelete_S_r">visit</a>(<a href="Kwd.html#Delete" >Kwd::Delete</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line46" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mDouble_S_r">visit</a>(<a href="Kwd.html#Double" >Kwd::Double</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line47" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mDo_S_r">visit</a>(<a href="Kwd.html#Do" >Kwd::Do</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line48" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mElse_S_r">visit</a>(<a href="Kwd.html#Else" >Kwd::Else</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line49" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mExtern_S_r">visit</a>(<a href="Kwd.html#Extern" >Kwd::Extern</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line50" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mFloat_S_r">visit</a>(<a href="Kwd.html#Float" >Kwd::Float</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line51" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mFor_S_r">visit</a>(<a href="Kwd.html#For" >Kwd::For</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line52" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mFriend_S_r">visit</a>(<a href="Kwd.html#Friend" >Kwd::Friend</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line53" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mGoto_S_r">visit</a>(<a href="Kwd.html#Goto" >Kwd::Goto</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line54" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mInline_S_r">visit</a>(<a href="Kwd.html#Inline" >Kwd::Inline</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line55" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mIf_S_r">visit</a>(<a href="Kwd.html#If" >Kwd::If</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line56" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mInt_S_r">visit</a>(<a href="Kwd.html#Int" >Kwd::Int</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line57" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mLong_S_r">visit</a>(<a href="Kwd.html#Long" >Kwd::Long</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line58" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mMutable_S_r">visit</a>(<a href="Kwd.html#Mutable" >Kwd::Mutable</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line59" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mNamespace_S_r">visit</a>(<a href="Kwd.html#Namespace" >Kwd::Namespace</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mNew_S_r">visit</a>(<a href="Kwd.html#New" >Kwd::New</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mOperator_S_r">visit</a>(<a href="Kwd.html#Operator" >Kwd::Operator</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line62" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mPrivate_S_r">visit</a>(<a href="Kwd.html#Private" >Kwd::Private</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line63" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mProtected_S_r">visit</a>(<a href="Kwd.html#Protected" >Kwd::Protected</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line64" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mPublic_S_r">visit</a>(<a href="Kwd.html#Public" >Kwd::Public</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line65" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mRegister_S_r">visit</a>(<a href="Kwd.html#Register" >Kwd::Register</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line66" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mReturn_S_r">visit</a>(<a href="Kwd.html#Return" >Kwd::Return</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line67" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mShort_S_r">visit</a>(<a href="Kwd.html#Short" >Kwd::Short</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line68" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mSigned_S_r">visit</a>(<a href="Kwd.html#Signed" >Kwd::Signed</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line69" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mStatic_S_r">visit</a>(<a href="Kwd.html#Static" >Kwd::Static</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line70" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mStruct_S_r">visit</a>(<a href="Kwd.html#Struct" >Kwd::Struct</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line71" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mSwitch_S_r">visit</a>(<a href="Kwd.html#Switch" >Kwd::Switch</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line72" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mTemplate_S_r">visit</a>(<a href="Kwd.html#Template" >Kwd::Template</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line73" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mThis_S_r">visit</a>(<a href="Kwd.html#This" >Kwd::This</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line74" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mThrow_S_r">visit</a>(<a href="Kwd.html#Throw" >Kwd::Throw</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line75" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mTry_S_r">visit</a>(<a href="Kwd.html#Try" >Kwd::Try</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line76" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mTypedef_S_r">visit</a>(<a href="Kwd.html#Typedef" >Kwd::Typedef</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line77" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mTypename_S_r">visit</a>(<a href="Kwd.html#Typename" >Kwd::Typename</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line78" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mUnion_S_r">visit</a>(<a href="Kwd.html#Union" >Kwd::Union</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line79" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mUnsigned_S_r">visit</a>(<a href="Kwd.html#Unsigned" >Kwd::Unsigned</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line80" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mUsing_S_r">visit</a>(<a href="Kwd.html#Using" >Kwd::Using</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line81" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mVirtual_S_r">visit</a>(<a href="Kwd.html#Virtual" >Kwd::Virtual</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line82" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mVoid_S_r">visit</a>(<a href="Kwd.html#Void" >Kwd::Void</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line83" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mVolatile_S_r">visit</a>(<a href="Kwd.html#Volatile" >Kwd::Volatile</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line84" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mWChar_S_r">visit</a>(<a href="Kwd.html#WChar" >Kwd::WChar</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line85" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lKwd_mWhile_S_r">visit</a>(<a href="Kwd.html#While" >Kwd::While</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line86" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lBrace_S_r" >visit</a></span>(<a href="Brace.html" >Brace</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lBrace_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line88" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ { [ &lt;statement&gt;* ] } ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lBlock_S_r" >visit</a></span>(<a href="Block.html" >Block</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lBlock_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line90" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ { [ &lt;statement&gt;* ] } ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClassBody_S_r">visit</a>(<a href="ClassBody.html" >ClassBody</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lClassBody_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line91" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypedef_S_r">visit</a>(<a href="Typedef.html" >Typedef</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTypedef_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line92" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lTemplateDecl_S_r" >visit</a></span>(<a href="TemplateDecl.html" >TemplateDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTemplateDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line94" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ template &lt; [types] &gt; [decl] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTemplateInstantiation_S_r">visit</a>(<a href="TemplateInstantiation.html" >TemplateInstantiation</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTemplateInstantiation_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line95" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lExternTemplate_S_r">visit</a>(<a href="ExternTemplate.html" >ExternTemplate</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lExternTemplate_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line96" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lMetaclassDecl_S_r">visit</a>(<a href="MetaclassDecl.html" >MetaclassDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lMetaclassDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line97" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lLinkageSpec_S_r" >visit</a></span>(<a href="LinkageSpec.html" >LinkageSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lLinkageSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line99" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ extern [&quot;C++&quot;] [{ body }] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lNamespaceSpec_S_r" >visit</a></span>(<a href="NamespaceSpec.html" >NamespaceSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lNamespaceSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ namespace &lt;identifier&gt; [{ body }] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lUsingDirective_S_r" >visit</a></span>(<a href="UsingDirective.html" >UsingDirective</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUsingDirective_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line103" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ using namespace Foo ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lDeclaration_S_r" >visit</a></span>(<a href="Declaration.html" >Declaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line110" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>One of:</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lNamespaceAlias_S_r" >visit</a></span>(<a href="NamespaceAlias.html" >NamespaceAlias</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lNamespaceAlias_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line112" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ namespace Foo = Bar ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lFunctionDefinition_S_r" >visit</a></span>(<a href="FunctionDefinition.html" >FunctionDefinition</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lFunctionDefinition_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line114" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Function definition: [ [modifiers] name declarator [ { ...</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lParameterDeclaration_S_r" >visit</a></span>(<a href="ParameterDeclaration.html" >ParameterDeclaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lParameterDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line123" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>One of:</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lUsingDeclaration_S_r" >visit</a></span>(<a href="UsingDeclaration.html" >UsingDeclaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUsingDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line125" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ using Foo <em>::</em> x ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lDeclarator_S_r" >visit</a></span>(<a href="Declarator.html" >Declarator</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDeclarator_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line127" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ [ declarator { = &lt;expr&gt; } ] , ...</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lName_S_r">visit</a>(<a href="Name.html" >Name</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lName_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line128" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lFstyleCastExpr_S_r" >visit</a></span>(<a href="FstyleCastExpr.html" >FstyleCastExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lFstyleCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line130" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ [type] ( [expr] ) ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClassSpec_S_r">visit</a>(<a href="ClassSpec.html" >ClassSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lClassSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line131" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lEnumSpec_S_r" >visit</a></span>(<a href="EnumSpec.html" >EnumSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lEnumSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line133" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ enum [name] [{ [name [= value] ]* }] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lTypeParameter_S_r" >visit</a></span>(<a href="TypeParameter.html" >TypeParameter</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTypeParameter_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line139" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>One of:</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAccessSpec_S_r">visit</a>(<a href="AccessSpec.html" >AccessSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lAccessSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line140" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAccessDecl_S_r">visit</a>(<a href="AccessDecl.html" >AccessDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lAccessDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line141" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUserAccessSpec_S_r">visit</a>(<a href="UserAccessSpec.html" >UserAccessSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUserAccessSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line142" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lIfStatement_S_r" >visit</a></span>(<a href="IfStatement.html" >IfStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lIfStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line144" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ if ( expr ) statement (else statement)? ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lSwitchStatement_S_r" >visit</a></span>(<a href="SwitchStatement.html" >SwitchStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lSwitchStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line146" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ switch ( expr ) statement ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lWhileStatement_S_r" >visit</a></span>(<a href="WhileStatement.html" >WhileStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lWhileStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line148" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ while ( expr ) statement ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lDoStatement_S_r" >visit</a></span>(<a href="DoStatement.html" >DoStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDoStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line150" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ do [{ ...</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lForStatement_S_r" >visit</a></span>(<a href="ForStatement.html" >ForStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lForStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line152" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ for ( stmt expr ; expr ) statement ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lTryStatement_S_r" >visit</a></span>(<a href="TryStatement.html" >TryStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTryStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line154" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ try [{}] [catch ( arg ) [{}] ]* ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lBreakStatement_S_r" >visit</a></span>(<a href="BreakStatement.html" >BreakStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lBreakStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line156" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ break ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lContinueStatement_S_r">visit</a>(<a href="ContinueStatement.html" >ContinueStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lContinueStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line157" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lReturnStatement_S_r">visit</a>(<a href="ReturnStatement.html" >ReturnStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lReturnStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line158" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lGotoStatement_S_r">visit</a>(<a href="GotoStatement.html" >GotoStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lGotoStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line159" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lCaseStatement_S_r" >visit</a></span>(<a href="CaseStatement.html" >CaseStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lCaseStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line161" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ case expr : [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lDefaultStatement_S_r" >visit</a></span>(<a href="DefaultStatement.html" >DefaultStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDefaultStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line163" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ default : [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLabelStatement_S_r">visit</a>(<a href="LabelStatement.html" >LabelStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lLabelStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line164" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lExprStatement_S_r">visit</a>(<a href="ExprStatement.html" >ExprStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lExprStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line165" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lExpression_S_r" >visit</a></span>(<a href="Expression.html" >Expression</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lExpression_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line167" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ expr (, expr)* ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lAssignExpr_S_r" >visit</a></span>(<a href="AssignExpr.html" >AssignExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lAssignExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line169" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[left = right]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCondExpr_S_r">visit</a>(<a href="CondExpr.html" >CondExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lCondExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line170" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lInfixExpr_S_r" >visit</a></span>(<a href="InfixExpr.html" >InfixExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lInfixExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line172" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[left op right]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPmExpr_S_r">visit</a>(<a href="PmExpr.html" >PmExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lPmExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line173" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lCastExpr_S_r" >visit</a></span>(<a href="CastExpr.html" >CastExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line175" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>( type-expr ) expr   ..type-expr is type encoded</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lUnaryExpr_S_r" >visit</a></span>(<a href="UnaryExpr.html" >UnaryExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUnaryExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line177" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[op expr]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lThrowExpr_S_r" >visit</a></span>(<a href="ThrowExpr.html" >ThrowExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lThrowExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line179" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ throw [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lSizeofExpr_S_r" >visit</a></span>(<a href="SizeofExpr.html" >SizeofExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lSizeofExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line181" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ sizeof ( [type [???] ] ) ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lOffsetofExpr_S_r">visit</a>(<a href="OffsetofExpr.html" >OffsetofExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lOffsetofExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line182" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypeidExpr_S_r">visit</a>(<a href="TypeidExpr.html" >TypeidExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTypeidExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line183" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypeofExpr_S_r">visit</a>(<a href="TypeofExpr.html" >TypeofExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTypeofExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line184" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNewExpr_S_r">visit</a>(<a href="NewExpr.html" >NewExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lNewExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line185" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lDeleteExpr_S_r" >visit</a></span>(<a href="DeleteExpr.html" >DeleteExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDeleteExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line187" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ delete [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lArrayExpr_S_r" >visit</a></span>(<a href="ArrayExpr.html" >ArrayExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lArrayExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line189" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>&lt;postfix&gt; [ &lt;expr&gt; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lFuncallExpr_S_r" >visit</a></span>(<a href="FuncallExpr.html" >FuncallExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lFuncallExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line191" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ postfix ( args ) ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lPostfixExpr_S_r" >visit</a></span>(<a href="PostfixExpr.html" >PostfixExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lPostfixExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line193" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ expr ++ ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lDotMemberExpr_S_r" >visit</a></span>(<a href="DotMemberExpr.html" >DotMemberExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lDotMemberExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line195" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ postfix .</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lArrowMemberExpr_S_r" >visit</a></span>(<a href="ArrowMemberExpr.html" >ArrowMemberExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lArrowMemberExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ postfix -&gt; name ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <span class="name"><a href="Visitor.html#visit_lParenExpr_S_r" >visit</a></span>(<a href="ParenExpr.html" >ParenExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lParenExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line199" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ ( expr ) ]</p>
</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBrace_S_r">visit</a>(<a href="Brace.html" >Brace</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lBrace_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line88" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ { [ &lt;statement&gt;* ] } ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBlock_S_r">visit</a>(<a href="Block.html" >Block</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lBlock_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line90" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ { [ &lt;statement&gt;* ] } ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTemplateDecl_S_r">visit</a>(<a href="TemplateDecl.html" >TemplateDecl</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTemplateDecl_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line94" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ template &lt; [types] &gt; [decl] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lLinkageSpec_S_r">visit</a>(<a href="LinkageSpec.html" >LinkageSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lLinkageSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line99" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ extern [&quot;C++&quot;] [{ body }] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNamespaceSpec_S_r">visit</a>(<a href="NamespaceSpec.html" >NamespaceSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lNamespaceSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ namespace &lt;identifier&gt; [{ body }] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUsingDirective_S_r">visit</a>(<a href="UsingDirective.html" >UsingDirective</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUsingDirective_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line103" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ using namespace Foo ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeclaration_S_r">visit</a>(<a href="Declaration.html" >Declaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line110" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>One of:</p>
<ul class="simple">
<li>Variables: [ [modifiers] name [declarators] ; ]</li>
<li>Function: prototype: [ [modifiers] name [declarators] ; ]</li>
<li>Typedef: ?</li>
<li>Class definition: [ [modifiers] [class foo ...] [declarators]? ; ]</li>
</ul>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lNamespaceAlias_S_r">visit</a>(<a href="NamespaceAlias.html" >NamespaceAlias</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lNamespaceAlias_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line112" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ namespace Foo = Bar ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFunctionDefinition_S_r">visit</a>(<a href="FunctionDefinition.html" >FunctionDefinition</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lFunctionDefinition_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line114" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>Function definition: [ [modifiers] name declarator [ { ... } ] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lParameterDeclaration_S_r">visit</a>(<a href="ParameterDeclaration.html" >ParameterDeclaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lParameterDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line123" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>One of:</p>
<ul class="simple">
<li>[ decl-specifier-seq ]</li>
<li>[ decl-specifier-seq declarator ]</li>
<li>[ decl-specifier-seq declarator = assignment-expression ]</li>
<li>[ decl-specifier-seq abstract-declarator ]</li>
<li>[ decl-specifier-seq abstract-declarator = assignment-expression ]</li>
<li>[ decl-specifier-seq = assignment-expression ]</li>
</ul>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUsingDeclaration_S_r">visit</a>(<a href="UsingDeclaration.html" >UsingDeclaration</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUsingDeclaration_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line125" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ using Foo <em>::</em> x ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeclarator_S_r">visit</a>(<a href="Declarator.html" >Declarator</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDeclarator_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line127" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ [ declarator { = &lt;expr&gt; } ] , ... ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFstyleCastExpr_S_r">visit</a>(<a href="FstyleCastExpr.html" >FstyleCastExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lFstyleCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line130" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ [type] ( [expr] ) ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lEnumSpec_S_r">visit</a>(<a href="EnumSpec.html" >EnumSpec</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lEnumSpec_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line133" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ enum [name] [{ [name [= value] ]* }] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTypeParameter_S_r">visit</a>(<a href="TypeParameter.html" >TypeParameter</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTypeParameter_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line139" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>One of:</p>
<ul class="simple">
<li>[typename]</li>
<li>[typename identifier]</li>
<li>[typename identifier = type-id]</li>
</ul>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lIfStatement_S_r">visit</a>(<a href="IfStatement.html" >IfStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lIfStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line144" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ if ( expr ) statement (else statement)? ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lSwitchStatement_S_r">visit</a>(<a href="SwitchStatement.html" >SwitchStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lSwitchStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line146" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ switch ( expr ) statement ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lWhileStatement_S_r">visit</a>(<a href="WhileStatement.html" >WhileStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lWhileStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line148" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ while ( expr ) statement ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDoStatement_S_r">visit</a>(<a href="DoStatement.html" >DoStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDoStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line150" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ do [{ ... }] while ( [...] ) ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lForStatement_S_r">visit</a>(<a href="ForStatement.html" >ForStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lForStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line152" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ for ( stmt expr ; expr ) statement ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lTryStatement_S_r">visit</a>(<a href="TryStatement.html" >TryStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lTryStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line154" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ try [{}] [catch ( arg ) [{}] ]* ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBreakStatement_S_r">visit</a>(<a href="BreakStatement.html" >BreakStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lBreakStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line156" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ break ; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCaseStatement_S_r">visit</a>(<a href="CaseStatement.html" >CaseStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lCaseStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line161" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ case expr : [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDefaultStatement_S_r">visit</a>(<a href="DefaultStatement.html" >DefaultStatement</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDefaultStatement_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line163" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ default : [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lExpression_S_r">visit</a>(<a href="Expression.html" >Expression</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lExpression_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line167" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ expr (, expr)* ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lAssignExpr_S_r">visit</a>(<a href="AssignExpr.html" >AssignExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lAssignExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line169" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[left = right]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lInfixExpr_S_r">visit</a>(<a href="InfixExpr.html" >InfixExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lInfixExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line172" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[left op right]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCastExpr_S_r">visit</a>(<a href="CastExpr.html" >CastExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lCastExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line175" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>( type-expr ) expr   ..type-expr is type encoded</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUnaryExpr_S_r">visit</a>(<a href="UnaryExpr.html" >UnaryExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lUnaryExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line177" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[op expr]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lThrowExpr_S_r">visit</a>(<a href="ThrowExpr.html" >ThrowExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lThrowExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line179" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ throw [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lSizeofExpr_S_r">visit</a>(<a href="SizeofExpr.html" >SizeofExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lSizeofExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line181" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ sizeof ( [type [???] ] ) ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDeleteExpr_S_r">visit</a>(<a href="DeleteExpr.html" >DeleteExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lDeleteExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line187" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ delete [expr] ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lArrayExpr_S_r">visit</a>(<a href="ArrayExpr.html" >ArrayExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lArrayExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line189" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>&lt;postfix&gt; [ &lt;expr&gt; ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFuncallExpr_S_r">visit</a>(<a href="FuncallExpr.html" >FuncallExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lFuncallExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line191" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ postfix ( args ) ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPostfixExpr_S_r">visit</a>(<a href="PostfixExpr.html" >PostfixExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lPostfixExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line193" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ expr ++ ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lDotMemberExpr_S_r">visit</a>(<a href="DotMemberExpr.html" >DotMemberExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref16.html#Synopsis_mPTree_mVisitor_mvisit_lDotMemberExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line195" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ postfix . name ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lArrowMemberExpr_S_r">visit</a>(<a href="ArrowMemberExpr.html" >ArrowMemberExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref15.html#Synopsis_mPTree_mVisitor_mvisit_lArrowMemberExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line197" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ postfix -&gt; name ]</p>
</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lParenExpr_S_r">visit</a>(<a href="ParenExpr.html" >ParenExpr</a>*)  </div> <div class="xref"><a href="../../../XRef/xref17.html#Synopsis_mPTree_mVisitor_mvisit_lParenExpr_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Visitor.hh.html#line199" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"><p>[ ( expr ) ]</p>
</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
